LabVIEW

cancel
Showing results for 
Search instead for 
Did you mean: 

Need help locating DAQ and DAQmx in Labview 2012

Solved!
Go to solution

I've got Labview Developer Suite 2012 installed on my computer. I've also downloaded DAQmx 15.5.1, which supports labview 2012 and NI 9229 and NI 9221 DAQs. The DAQs are functional and work when I use NI MAX.

 

I cannot locate anything in Labview that will let me actually use the DAQ. Also, when I try to open examples from the Labview Example Finder, I get an error saying that the example requires an add-on toolkit to run, but it does not tell me what toolkit to install.

 

What else do I need to install to access the DAQ VIs and actually start using the DAQs to acquire data? How do I start using the DAQs with labview?

 

 

--

Ro ma wa ichi ni chi ni shi te na ra zu
0 Kudos
Message 1 of 6
(1,694 Views)

Hello gdecker,

 

I thinks this question may be more appropriate asked in the Multifunction DAQ board. Since they would be more familiar with the DAQmx driver, you will probably get better responses. What is the name of the example you are trying to open? Where directory is it under in the Example Finder?

 

Assuming you are accessing a simple DAQmx example, it sounds like something is not setup properly on this computer. Did you get any errors or warnings when going through the installation process? Did you change what components are being installed? Did you install DAQmx after installing LabVIEW 2012 and make sure the LabVEIW 2012 Development Enivornment support was checked? Can you access the DAQmx pallete from the Block Diagram? Are the VIs there and can you place them on the Block Diagram?

0 Kudos
Message 2 of 6
(1,679 Views)

Check that the daqmx download was put in the proper place.  It should be in the folder

 

C:\Program Files (x86)\National Instruments\LabVIEW 2012\vi.lib\DAQmx

 

Also after download you need to completely shutdown labview and reopen it.  If that doesnt fix it maybe try reinstalling it.



-Matt
0 Kudos
Message 3 of 6
(1,676 Views)

The DAQ folder is not present in the vi.lib folder.


I've run the DAQmx installer twice. The first time I ran "standard installation." The second time I ran it custom, and made certain that the "add support for labview 2012" had a green checkmark next to it.

 

I hope I don't have to redownload the installer. It took four hours on my company's network.

--

Ro ma wa ichi ni chi ni shi te na ra zu
0 Kudos
Message 4 of 6
(1,651 Views)

I would say it didnt install properly then, as stated above labview should be installed previous to installing the daqmx, but 15.5.1 is compatible with LV2012.  You may want to try another download.  If you look in the readme for daqmx, you can look at the bug fixes and see if they apply to you. I think 15.0 was about a fourth the size as 15.5.1



-Matt
0 Kudos
Message 5 of 6
(1,642 Views)
Solution
Accepted by topic author gdecker

I found the problem. It looks like DAXmx version 16 was previously installed, which is not compatible with Labview 2012, and the installer didn't install the older version over the newer one. I uninstalled version 16 manually and reinstalled version 15.5, and it looks like everything is now hunky-dory.

 

Thanks for the assist.

--

Ro ma wa ichi ni chi ni shi te na ra zu
0 Kudos
Message 6 of 6
(1,638 Views)